Can't Compile Luma 3DS

Discussion in '3DS - Flashcards & Custom Firmwares' started by dpad_5678, Jul 10, 2017.

  1. dpad_5678
    OP

    dpad_5678 GBAtemp's Memelord

    Member
    9
    Nov 19, 2015
    United States
    So I'm trying to compile Luma..... for a..... secret project ( ͡° ͜ʖ ͡°)
    I've installed all of the dependacies like armips and firmtool. I've also placed armips.exe and makerom.exe in System32 so I can globally execute them from CMD.

    Running MAKE from CMD gets me this:



    And running MAKE from Git Bash gets me this:


    Any help/memes is/are greatly appreciated :)
     
  2. zoogie

    zoogie playing around in the dsiware

    Member
    19
    Nov 30, 2014
    Micronesia, Federated States of
    put armips.exe in the same dir as makefile, then open command prompt in that same dir and run make
     
  3. dpad_5678
    OP

    dpad_5678 GBAtemp's Memelord

    Member
    9
    Nov 19, 2015
    United States
    Just tried, no dice. It seems to be looking for armips.exe in some other directory because I keep getting make[1]: armips: Command not found. I put it in both the directory with makefile and System32.
     
  4. zoogie

    zoogie playing around in the dsiware

    Member
    19
    Nov 30, 2014
    Micronesia, Federated States of
    Try following this
    http://windowsitpro.com/systems-management/how-can-i-add-new-folder-my-system-path

    — Posts automatically merged - Please don't double post! —

    You can also add it to an already existing PATH location like C:\devkitPro\devkitARM\bin or whatever. I havent' tried this myself but it should work.
     
  5. dpad_5678
    OP

    dpad_5678 GBAtemp's Memelord

    Member
    9
    Nov 19, 2015
    United States
    I put both armips.exe and makerom.exe in the folder you specified, but now I get the following:

     
  6. Biff627

    Biff627 GBAtemp Advanced Maniac

    Member
    6
    Aug 15, 2015
    United States
    Last edited by Biff627, Jul 10, 2017
  7. dpad_5678
    OP

    dpad_5678 GBAtemp's Memelord

    Member
    9
    Nov 19, 2015
    United States
    Ok, after doing this it seemed to encounter a problem with Rosalina. I was able to compile Luma 7.1 just fine after doing this..... weird.
     
  8. dpad_5678
    OP

    dpad_5678 GBAtemp's Memelord

    Member
    9
    Nov 19, 2015
    United States
    I found this issue on GitHub, as someone seems to be having a similar problem, but no answer was specified.
     
  9. dpad_5678
    OP

    dpad_5678 GBAtemp's Memelord

    Member
    9
    Nov 19, 2015
    United States
    Unfortunately everything the guide told me to update/install I already had. I can compile Luma 7.1 just fine. I get the following error with Luma 8.0 and Luma 8.1:

     
  10. astronautlevel

    astronautlevel Cyberpunk Bartending Action!

    Member
    14
    Jan 26, 2016
    United States
    That Nightly Site™
    Your ctrulib is likely outdated.
     
  11. dpad_5678
    OP

    dpad_5678 GBAtemp's Memelord

    Member
    9
    Nov 19, 2015
    United States
    How would I go about updating it? Do I update devkitPro? I'm already running r46.
     
  12. astronautlevel

    astronautlevel Cyberpunk Bartending Action!

    Member
    14
    Jan 26, 2016
    United States
    That Nightly Site™
    Clone this repository: https://github.com/smealum/ctrulib
    then make install.
     
  13. dpad_5678
    OP

    dpad_5678 GBAtemp's Memelord

    Member
    9
    Nov 19, 2015
    United States
    Yes, that worked! Thank you! I could've sworn I had already updated ctrulib in the past few days but I guess that wasn't the case..... Thanks again!
     
    astronautlevel likes this.
  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice